Bug 16225 - Verifier does not check invalid forwarded type
Summary: Verifier does not check invalid forwarded type
Status: RESOLVED INVALID
Alias: None
Product: Runtime
Classification: Mono
Component: Verifier (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- major
Target Milestone: ---
Assignee: Rodrigo Kumpera
URL:
Depends on:
Blocks:
 
Reported: 2013-11-14 08:10 UTC by Marek Safar
Modified: 2017-10-03 20:09 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED INVALID

Description Marek Safar 2013-11-14 08:10:44 UTC
peverify class/lib/net_4_5/Facades/System.Net.Primitives.dll

<nothing>

On .net 

peverify class\lib\net_4_5\Facades\System.Net.Primitives.dll

Microsoft (R) .NET Framework PE Verifier.  Version  4.0.30319.17929
Copyright (c) Microsoft Corporation.  All rights reserved.

[token  0x27000004] Type load failed.
[token  0x27000008] Type load failed.
[token  0x27000009] Type load failed.
Comment 1 Rodrigo Kumpera 2017-10-03 20:09:54 UTC
The facade has well formed forwarders. Verifying whether they are correct is a runtime defined behavior that can't be checked by a static verifier.